Package org.eclipse.emf.cdo.view

## Interface CDOViewProviderRegistry

- All Superinterfaces:
    `org.eclipse.net4j.util.container.IContainer<CDOViewProvider>`, `org.eclipse.net4j.util.event.INotifier`

      public interface CDOViewProviderRegistry
      extends org.eclipse.net4j.util.container.IContainer<CDOViewProvider>

  A global registry of `view provider` implementations.
  Since:
    2.0
  Author:
    Victor Roldan Betancort
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `org.eclipse.net4j.util.container.IContainer.Modifiable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistence<E extends java.lang.Object>`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `org.eclipse.net4j.util.event.INotifier.INotifier2`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CDOViewProviderRegistry` | `INSTANCE` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addViewProvider​(CDOViewProvider viewProvider)` | Registers the given view provider instance with this registry.
    `CDOViewProvider[]` | `getViewProviders​(org.eclipse.emf.common.util.URI uri)` | Returns an array of `CDOViewProvider` instances, determined and ordered by certain criteria based on the argument URI.
    `boolean` | `hasViewProvider​(CDOViewProvider viewProvider)` | Returns `true` if the given view provider instance is registered with this registry, `false` otherwise.
    `CDOView` | `provideView​(org.eclipse.emf.common.util.URI uri, org.eclipse.emf.ecore.resource.ResourceSet viewSet)` | Returns a `view` that serves the given URI in the given `view set`, or `null` if no `view provider` in this registry can provide such a view.
    `org.eclipse.net4j.util.collection.Pair<CDOView,​CDOViewProvider>` | `provideViewWithInfo​(org.eclipse.emf.common.util.URI uri, org.eclipse.emf.ecore.resource.ResourceSet resourceSet)` | Deprecated. As of 4.4.
    `void` | `removeViewProvider​(CDOViewProvider viewProvider)` | Removes the given view provider instance from this registry.

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Field Detail

    - #### INSTANCE

          static final CDOViewProviderRegistry INSTANCE

  - ### Method Detail

    - #### provideView

          CDOView provideView​(org.eclipse.emf.common.util.URI uri,
                              org.eclipse.emf.ecore.resource.ResourceSet viewSet)

      Returns a `view` that serves the given URI in the given `view set`, or `null` if no `view provider` in this registry can provide such a view.

    - #### provideViewWithInfo

          @Deprecated
          org.eclipse.net4j.util.collection.Pair<CDOView,​CDOViewProvider> provideViewWithInfo​(org.eclipse.emf.common.util.URI uri,
                                                                                                    org.eclipse.emf.ecore.resource.ResourceSet resourceSet)

      Deprecated.
      As of 4.4. use `provideView(URI, ResourceSet)`.getProvider().
      Returns a `view` that serves the given URI in the given `view set`, or `null` if no `view provider` in this registry can provide such a view. The returned `pair` contains the provider that provided the view or null if the view was already present in the `view set` of the resource set.
      Since:
        4.0

    - #### getViewProviders

          CDOViewProvider[] getViewProviders​(org.eclipse.emf.common.util.URI uri)

      Returns an array of `CDOViewProvider` instances, determined and ordered by certain criteria based on the argument URI.

    - #### hasViewProvider

          boolean hasViewProvider​(CDOViewProvider viewProvider)

      Returns `true` if the given view provider instance is registered with this registry, `false` otherwise.
      Since:
        4.0

    - #### addViewProvider

          void addViewProvider​(CDOViewProvider viewProvider)

      Registers the given view provider instance with this registry.

    - #### removeViewProvider

          void removeViewProvider​(CDOViewProvider viewProvider)

      Removes the given view provider instance from this registry.